> ## Documentation Index
> Fetch the complete documentation index at: https://avala.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Post fleetrecordings managed uploadadmit

> The existing authentication contract, with exact recording-device ownership.



## OpenAPI

````yaml /openapi.yml post /fleet/recordings/{uid}/managed-upload/admit/
openapi: 3.0.0
info:
  title: Avala API
  description: >

    # Authentication


    ## Generating an API Key


    The Avala SDK uses API keys to authenticate requests. You can create and
    manage your API keys from the

    Settings page of Mission Control.


    Follow these steps to generate a new API key:


    1. Open your settings page by clicking on your user avatar located at the
    top right-hand corner of any
        Mission Control screen, and select `Settings`.
    2. From the left-hand sub-menu, select `Security & Identity`.

    3. Click on `New API Key`, enter a name for the key, and then click `Create
    key`.


    The new key will be automatically copied to your clipboard. Please note, for
    security reasons, the key

    will not be accessible once you close the window. Ensure you store it in a
    safe location before closing

    the pop-up modal.


    ### Video walkthrough of API key generation


    <iframe class="embedly-embed"
    src="//cdn.embedly.com/widgets/media.html?src=https%3A%2F%2F
        www.youtube.com%2Fembed%2FTYdLhkAAbLA%3Ffeature%3Doembed&display_name=YouTube&url=https%3A%2F%2F
        www.youtube.com%2Fwatch%3Fv%3DTYdLhkAAbLA&image=https%3A%2F%2Fi.ytimg.com%2Fvi%2FTYdLhkAAbLA%2F
        hqdefault.jpg&key=7788cb384c9f4d5dbbdbeffd9fe4b92f&type=text%2Fhtml&schema=youtube" width="854"
        height="480" scrolling="no" title="YouTube embed" frameborder="0" allow="autoplay;
        fullscreen; encrypted-media; picture-in-picture;" allowfullscreen="true"></iframe>


    ## Authenticating with an API Key


    This is the easiest part! Just add a header named `X-Avala-Api-Key` to your
    requests and set the

    previously generated API Key as the value.
  termsOfService: https://avala.ai/legal/terms
  contact:
    email: support@avala.ai
  version: v1
servers:
  - url: https://api.avala.ai/api/v1
security:
  - API_Key: []
  - JWT: []
tags:
  - name: datasets
    description: To be completed...
  - name: projects
    description: To be completed...
  - name: tasks
    description: List and retrieve annotation tasks.
  - name: exports
    description: To be completed...
paths:
  /fleet/recordings/{uid}/managed-upload/admit/:
    parameters:
      - name: uid
        in: path
        required: true
        schema:
          type: string
    post:
      tags:
        - fleet
      description: >-
        The existing authentication contract, with exact recording-device
        ownership.
      operationId: fleet_recordings_managed-upload_admit
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ManagedAdmissionRequest'
        required: true
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManagedStatusResponse'
components:
  schemas:
    ManagedAdmissionRequest:
      required:
        - protocol
        - session_uid
        - files
      type: object
      properties:
        protocol:
          title: Protocol
          type: string
          enum:
            - fleet-managed-mcap-v1
        session_uid:
          title: Session uid
          type: string
          format: uuid
        files:
          type: array
          items:
            $ref: '#/components/schemas/ManagedManifestEntry'
    ManagedStatusResponse:
      required:
        - protocol
        - session_uid
        - recording_uid
        - status
        - total_files
        - total_bytes
        - confirmed_files
        - confirmed_bytes
        - files
        - finalization
      type: object
      properties:
        protocol:
          title: Protocol
          type: string
          enum:
            - fleet-managed-mcap-v1
        session_uid:
          title: Session uid
          type: string
          format: uuid
        recording_uid:
          title: Recording uid
          type: string
          format: uuid
        status:
          title: Status
          type: string
          minLength: 1
        total_files:
          title: Total files
          type: integer
        total_bytes:
          title: Total bytes
          type: integer
        confirmed_files:
          title: Confirmed files
          type: integer
        confirmed_bytes:
          title: Confirmed bytes
          type: integer
        files:
          type: array
          items:
            $ref: '#/components/schemas/ManagedFileResponse'
        finalization:
          $ref: '#/components/schemas/ManagedFinalizationResponse'
    ManagedManifestEntry:
      required:
        - path
        - size_bytes
        - content_sha256
      type: object
      properties:
        path:
          title: Path
          type: string
          maxLength: 1024
          minLength: 1
        size_bytes:
          title: Size bytes
          type: integer
          maximum: 8589934592
          minimum: 1
        content_sha256:
          title: Content sha256
          type: string
          pattern: ^[0-9a-f]{64}$
          minLength: 1
        content_encoding:
          title: Content encoding
          type: string
          enum:
            - ''
          default: ''
    ManagedFileResponse:
      required:
        - file_uid
        - path
        - size_bytes
        - content_sha256
        - content_type
        - content_encoding
        - part_size
        - part_count
        - verified
        - generation
      type: object
      properties:
        file_uid:
          title: File uid
          type: string
          format: uuid
        path:
          title: Path
          type: string
          minLength: 1
        size_bytes:
          title: Size bytes
          type: integer
        content_sha256:
          title: Content sha256
          type: string
          minLength: 1
        content_type:
          title: Content type
          type: string
          minLength: 1
        content_encoding:
          title: Content encoding
          type: string
        part_size:
          title: Part size
          type: integer
        part_count:
          title: Part count
          type: integer
        verified:
          title: Verified
          type: boolean
        generation:
          $ref: '#/components/schemas/ManagedGenerationResponse'
    ManagedFinalizationResponse:
      required:
        - uid
        - state
        - stage
        - attempts
        - failures
        - code
        - available_at
        - publication_uid
        - dataset_uid
      type: object
      properties:
        uid:
          title: Uid
          type: string
          format: uuid
        state:
          title: State
          type: string
          minLength: 1
        stage:
          title: Stage
          type: string
          minLength: 1
        attempts:
          title: Attempts
          type: integer
        failures:
          title: Failures
          type: integer
        code:
          title: Code
          type: string
        available_at:
          title: Available at
          type: string
          format: date-time
        publication_uid:
          title: Publication uid
          type: string
          format: uuid
          nullable: true
        dataset_uid:
          title: Dataset uid
          type: string
          format: uuid
          nullable: true
      nullable: true
    ManagedGenerationResponse:
      required:
        - generation_uid
        - number
        - state
      type: object
      properties:
        generation_uid:
          title: Generation uid
          type: string
          format: uuid
        number:
          title: Number
          type: integer
        state:
          title: State
          type: string
          minLength: 1
      nullable: true
  securitySchemes:
    API_Key:
      type: apiKey
      name: X-Avala-Api-Key
      in: header
      description: >-
        API key for authentication. Generate one in Mission Control Settings >
        Security & Identity.
    JWT:
      type: apiKey
      name: Authorization
      in: header
      description: JWT token with 'JWT' prefix, e.g., 'JWT eyJhbGciOiJIUzI1NiIsInR...'

````